import { Page } from "@playwright/test";
import { PartQuestionsPage } from "./PartQuestionPage";
import { step } from 'framework/localTypes/Step';
import { ITestData } from 'framework/TestData';
import { ProgressBarPercentages } from 'framework/localTypes/Enums';

export default class MoldingQuestionsPage extends PartQuestionsPage {

    constructor(page: Page) {
        super(page);
    }

    @step("MoldingQuestionsPage >> Select Molding Questions: ")
    async handleMoldingQuestionsPage(testCase: Partial<ITestData>) {
        const { moldingQuestions } = testCase;

        await this.validateProgressBar(ProgressBarPercentages.MoldingQuestionsPage);
        await this.validatePartQuestions(moldingQuestions!);
        await this.selectPartQuestionResponses(moldingQuestions!);
        await this.nextPage();
    }
}